## guidata 3.6.2

=== requirements.txt ===
Coverage
NumPy>=1.21
PyQt5
QtPy>=1.9
h5py>=3.0
pandas
pillow
pylint
ruff
pytest
pytest-xvfb
python-docs-theme
requests
sphinx
myst_parser
sphinx-copybutton
sphinx_qt_documentation
tomli

## guidata 1.2.5

=== debian/changelog ===
guidata (1.2.5-1) unstable; urgency=low

  * Initial release (Closes: #602554)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 24 Oct 2010 11:26:05 +0200

=== debian/control ===
Source: guidata
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0),
	       python-support (>= 0.90),
	       python-all,
	       python-qt4
Build-Depends-Indep: python-sphinx
XS-Python-Version: >= 2.5
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/debian-science/packages/guidata.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/guidata.git
Homepage: http://code.google.com/p/guidata/

Package: python-guidata
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-qscintilla2,
	 python-h5py,
	 libjs-jquery
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: dataset manipulation GUI generator
 Based on the Qt Python binding module PyQt4, guidata is a Python library
 generating graphical user interfaces for easy dataset editing and display.
 It also provides helpers and application development tools for PyQt4.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

# do not compress the javascript files generated by sphinx
# if compressed the documentation search engine is broken.
override_dh_compress:
	dh_compress -X.js

%:
	dh $@ --with python-support

.PHONY: get-orig-source

## guidata 1.3.1

=== debian/changelog ===
guidata (1.3.1-1) unstable; urgency=low

  * Imported Upstream version 1.3.1

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 26 Apr 2011 14:50:46 +0200

guidata (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0
  * update debian/copyright using dep5

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Wed, 06 Apr 2011 19:12:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0),
-	       python-support (>= 0.90),
-	       python-all,
+Build-Depends: debhelper (>= 8.1.1),
+	       python-all (>= 2.6.6-3~),
 	       python-qt4
 Build-Depends-Indep: python-sphinx
-XS-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/debian-science/packages/guidata.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/guidata.git
@@ -23,8 +22,8 @@
 	 python-qscintilla2,
 	 python-h5py,
 	 libjs-jquery
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
+Breaks: ${python:Breaks}
 Description: dataset manipulation GUI generator
  Based on the Qt Python binding module PyQt4, guidata is a Python library
  generating graphical user interfaces for easy dataset editing and display.

## guidata 1.3.2

=== debian/changelog ===
guidata (1.3.2-2) unstable; urgency=low

  * debian/copyright
    - use the right dep5 Format http://dep.debian.net/deps/dep5
  * debian/changelog
    - restore this file since I forgot to update my local git repository

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Jul 2011 16:40:30 +0200

guidata (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2
  * Use my DD address everywhere.
  * debian/control
    - update the Vcs-x fileds.
    - add the Build-Depends python-spyderlib
    - remove the Build-Depends python-qscintilla2
    - bump Standards-Version to 3.9.2 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Jul 2011 15:33:55 +0200

=== debian/control ===
Source: guidata
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Build-Depends: debhelper (>= 8.1.1),
	       python-all (>= 2.6.6-3~),
	       python-qt4,
	       python-spyderlib (>= 2.0.10)
Build-Depends-Indep: python-sphinx
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
Vcs-Browser: http://anonscm.debian.org/git/debian-science/packages/guidata.git
Homepage: http://code.google.com/p/guidata/

Package: python-guidata
Section: python
Architecture: all
Depends: ${misc:Depends},
	 ${python:Depends},
	 python-h5py,
	 python-spyderlib (>= 2.0.10),
	 libjs-jquery
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: dataset manipulation GUI generator
 Based on the Qt Python binding module PyQt4, guidata is a Python library
 generating graphical user interfaces for easy dataset editing and display.
 It also provides helpers and application development tools for PyQt4.

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

%:
	dh $@ --with python2

.PHONY: get-orig-source

## guidata 1.4.0

=== debian/changelog ===
guidata (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * use dh_sphinxdoc
  * debian/control
    - fix the Vcs-Browser field
  * debian/copyright fixed using config-edit

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Sep 2011 19:54:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 	dh_clean
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --with sphinxdoc
 
 .PHONY: get-orig-source

## guidata 1.4.1

=== debian/changelog ===
guidata (1.4.1-2) unstable; urgency=low

  * debian/rules
    - updated to build on squeeze
  * bump Standards-Version to 3.9.3
    - updated debian/copyright with the Copyright format 1.0
  * debian/control
    - better dependencies thanks to cme (config-edit)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Feb 2012 14:28:57 +0100

guidata (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Nov 2011 14:10:39 +0100

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 8),
               python-all (>= 2.6.6-3~),
               python-qt4,
               python-spyderlib
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/guidata.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
Homepage: http://code.google.com/p/guidata/
X-Python-Version: >= 2.6

Package: python-guidata
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         python-h5py,
         python-spyderlib
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Description: dataset manipulation GUI generator
 Based on the Qt Python binding module PyQt4, guidata is a Python library
 generating graphical user interfaces for easy dataset editing and display.
 It also provides helpers and application development tools for PyQt4.

## guidata 1.5.1

=== debian/changelog ===
guidata (1.5.1-2) unstable; urgency=low

  * Uploaded into unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 06 May 2013 08:01:19 +0100

guidata (1.5.1-1) experimental; urgency=low

  * Imported Upstream version 1.5.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Nov 2012 08:01:19 +0100

guidata (1.5.0-1) experimental; urgency=low

  * Imported Upstream version 1.5.0
  * Use the new guidata.svg as Icon for the desktop file.
  * Bump standards-Version to 3.9.3 (for real)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Sep 2012 22:14:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 8),
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-qt4,
                python-spyderlib
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/guidata.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
 Homepage: http://code.google.com/p/guidata/

## guidata 1.6.0

=== debian/changelog ===
guidata (1.6.0-1) unstable; urgency=low

  * Imported Upstream version 1.6.0
  * Bump Standards-Version to 3.9.4 (nothing to do)
  * Use debhelper 9

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 22 May 2013 21:06:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')
# for backport without bpo on stable
WITH_SPHINXDOC = $(shell if [ -x /usr/bin/dh_sphinxdoc ]; then echo "--with sphinxdoc"; fi)

get-orig-source:
	uscan --force-download --upstream-version $(VERSION) --repack

override_dh_clean:
	rm -rf build/sphinx
	dh_clean

%:
	dh $@ --with python2 $(WITH_SPHINXDOC)

.PHONY: get-orig-source

## guidata 1.6.1

=== debian/changelog ===
guidata (1.6.1-1) unstable; urgency=low

  * Imported Upstream version 1.6.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 May 2013 21:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: extra
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                python-all,
                python-qt4,
                python-spyderlib
 Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/guidata.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
 Homepage: http://code.google.com/p/guidata/

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://guidata.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/guidata/downloads/detail[?]name=guidata-([0-9.]+).zip&.*

## guidata 1.7.3

=== debian/changelog ===
guidata (1.7.3-2) unstable; urgency=medium

  * Uploaded to unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Dec 2015 12:15:09 +0100

guidata (1.7.3-1) experimental; urgency=medium

  * Imported Upstream version 1.7.3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Dec 2015 18:40:08 +0100

guidata (1.7.2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 22 Nov 2015 08:30:33 +0100

guidata (1.7.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 12 Nov 2015 19:39:25 +0100

guidata (1.7.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Nov 2015 21:36:13 +0100

guidata (1.7.0~b6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0~b6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Oct 2015 14:07:23 +0100

guidata (1.7.0~b5-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0~b3
  * Add the python3 modules and switch to pybuild
  * debian/control
    - Build-Depends:
      + python-numpy and python3-numpy (in order to build the documentation)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Oct 2015 12:37:27 +0200

guidata (1.7.0~b2-1~exp1) UNRELEASED; urgency=medium

  * Imported Upstream version 1.7.0~b2
  * use the pypi redirector
  * Bump Standards-Version to 3.9.6 (nothing to do)
  * Update the URL's since the upstream moved to github.
  * debian/control
    - Build-dep
      + python-sip
      + python-setuptools

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 24 Aug 2015 09:21:32 +0200

## guidata 1.7.4

=== debian/changelog ===
guidata (1.7.4-1) unstable; urgency=medium

  * Imported Upstream version 1.7.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Dec 2015 10:37:32 +0100

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
	       dh-python,
               python-all,
               python-numpy,
	       python-setuptools,
	       python-sip,
	       python-sphinx,
               python-spyderlib,
	       python3-all,
               python3-numpy,
	       python3-setuptools,
	       python3-sip,
	       python3-sphinx,
               python3-spyderlib,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/guidata.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
Homepage: https://github.com/PierreRaybaut/guidata
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-guidata
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-h5py,
         python-spyderlib
Breaks: ${python:Breaks}
Provides: ${python:Provides}
Description: dataset manipulation GUI generator - Python 2
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 2 version of the package.

Package: python3-guidata
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-h5py,
         python3-spyderlib
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: dataset manipulation GUI generator - Python 3
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 3 version of the package.

Package: python-guidata-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-guidata (<< 1.7.0~b2-1~exp2)
Replaces: python-guidata (<< 1.7.0~b2-1~exp2)
Description: dataset manipulation GUI generator - Documentation
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the common documentation package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/guidata/guidata-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## guidata 1.7.6

=== debian/changelog ===
guidata (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
  * Bump Standards-Version to 3.9.8 (nothing to do)
  * Use https in VCS-X fields
  * Support python(3)-spyderlib and python(3)-spyder

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 12 Oct 2016 20:22:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Section: science
 Priority: extra
 Build-Depends: debhelper (>= 9),
-	       dh-python,
+               dh-python,
                python-all,
                python-numpy,
-	       python-setuptools,
-	       python-sip,
-	       python-sphinx,
-               python-spyderlib,
-	       python3-all,
+               python-setuptools,
+               python-sip,
+               python-sphinx,
+               python-spyderlib | python-spyder,
+               python3-all,
                python3-numpy,
-	       python3-setuptools,
-	       python3-sip,
-	       python3-sphinx,
-               python3-spyderlib,
-Standards-Version: 3.9.6
+               python3-setuptools,
+               python3-sip,
+               python3-sphinx,
+               python3-spyderlib | python3-spyder
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/guidata.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/guidata.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/guidata.git
 Homepage: https://github.com/PierreRaybaut/guidata
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -30,7 +30,7 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          python-h5py,
-         python-spyderlib
+         python-spyderlib | python-spyder
 Breaks: ${python:Breaks}
 Provides: ${python:Provides}
 Description: dataset manipulation GUI generator - Python 2
@@ -47,7 +47,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-h5py,
-         python3-spyderlib
+         python3-spyderlib | python3-spyder
 Breaks: ${python3:Breaks}
 Provides: ${python3:Provides}
 Description: dataset manipulation GUI generator - Python 3
@@ -62,7 +62,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+         ${sphinxdoc:Depends}
 Breaks: python-guidata (<< 1.7.0~b2-1~exp2)
 Replaces: python-guidata (<< 1.7.0~b2-1~exp2)
 Description: dataset manipulation GUI generator - Documentation

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=guidata

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build/html
	dh_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator

override_dh_install:
	dh_install
	dh_numpy
	dh_numpy3
	# install the .desktop files
	dh_install -p python-guidata debian/guidata-tests.desktop /usr/share/applications
	dh_install -p python3-guidata debian/guidata-tests3.desktop /usr/share/applications

## guidata 1.7.9

=== debian/changelog ===
guidata (1.7.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Make "Files: *" paragraph the first in the copyright file.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 1.7.9
  * d/control: Added Build-Depends, python3-qtpy

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Sep 2020 12:42:24 +0200

guidata (1.7.6-2) unstable; urgency=medium

  * Removed the Python2 module (Closes: #936676)
  * d/control
    - Added Suggests: python-guidata-doc (Closes: #849611)
      Thanks Ben Finney for bug report
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/watch: Use https protocol.
  * d/control: Removed python-spyderlib

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Oct 2019 10:56:52 +0200

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-numpy,
               python3-qtpy,
               python3-setuptools,
               python3-sip,
               python3-sphinx,
               python3-spyder
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/guidata
Vcs-Git: https://salsa.debian.org/science-team/guidata.git
Homepage: https://github.com/PierreRaybaut/guidata

Package: python3-guidata
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-h5py,
         python3-spyder
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Suggests: python-guidata-doc
Description: dataset manipulation GUI generator - Python 3
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 3 version of the package.

Package: python-guidata-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python-guidata (<< 1.7.0~b2-1~exp2)
Replaces: python-guidata (<< 1.7.0~b2-1~exp2)
Description: dataset manipulation GUI generator - Documentation
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=guidata

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build/html
	dh_clean

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html # HTML generator

override_dh_install:
	dh_install
	dh_numpy3
	# install the .desktop files
	dh_install -p python3-guidata debian/guidata-tests3.desktop /usr/share/applications

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/guidata/guidata-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## guidata 1.8.0

=== debian/changelog ===
guidata (1.8.0-2) unstable; urgency=medium

  * d/control: Used dh-sequence-X
  * d/rules: Simplified thanks to dh-sequence-X.
  * d/rules: Used execute_[before/after] instead of overriding.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Aug 2021 19:48:11 +0200

guidata (1.8.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * New upstream release.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Update watch file format version to 4.

  [ Picca Frédéric-Emmanuel ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * d/patches/0001-Added-the-Pillow-Dependency.patch
  * Apply multi-arch hints.
    + python-guidata-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 10:09:09 -0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,21 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-numpy3,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                python3-numpy,
+               python3-pandas,
+               python3-pil,
                python3-qtpy,
                python3-setuptools,
                python3-sip,
                python3-sphinx,
                python3-spyder
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/science-team/guidata
 Vcs-Git: https://salsa.debian.org/science-team/guidata.git
 Homepage: https://github.com/PierreRaybaut/guidata
@@ -42,6 +47,7 @@
          ${sphinxdoc:Depends}
 Breaks: python-guidata (<< 1.7.0~b2-1~exp2)
 Replaces: python-guidata (<< 1.7.0~b2-1~exp2)
+Multi-Arch: foreign
 Description: dataset manipulation GUI generator - Documentation
  Based on the Qt Python binding module PyQt4, guidata is a Python
  library generating graphical user interfaces for easy dataset editing

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ https://pypi.debian.net/guidata guidata-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## guidata 2.0.2

=== debian/changelog ===
guidata (2.0.2-1) unstable; urgency=medium

  * d/watch: Updated to use the right redirector
  * New upstream version 2.0.2
  * d/patches/*: Refreshed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Jan 2022 10:55:22 +0100

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-numpy,
 python3-pandas,
 python3-pil,
 python3-qtpy,
 python3-setuptools,
 python3-sip,
 python3-sphinx,
 python3-spyder,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/guidata
Vcs-Git: https://salsa.debian.org/science-team/guidata.git
Homepage: https://github.com/PierreRaybaut/guidata

Package: python3-guidata
Architecture: all
Section: python
Depends:
 python3-h5py,
 python3-spyder,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 ${python3:Breaks},
Provides:
 ${python3:Provides},
Suggests:
 python-guidata-doc,
Description: dataset manipulation GUI generator - Python 3
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 3 version of the package.

Package: python-guidata-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Breaks:
 python-guidata (<< 1.7.0~b2-1~exp2),
Replaces:
 python-guidata (<< 1.7.0~b2-1~exp2),
Multi-Arch: foreign
Description: dataset manipulation GUI generator - Documentation
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=guidata

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
	rm -rf build/html

execute_after_dh_auto_build: export PYTHONPATH=$(CURDIR)
execute_after_dh_auto_build: export http_proxy='127.0.0.1:9'
execute_after_dh_auto_build:
	sphinx-build -N -bhtml doc/ build/html # HTML generator

execute_after_dh_auto_install:
	# install the .desktop files
	dh_install -p python3-guidata debian/guidata-tests3.desktop /usr/share/applications

## guidata 2.0.4

=== debian/changelog ===
guidata (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Update standards version to 4.6.0, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Mar 2022 08:30:21 +0100

## guidata 2.2.0

=== debian/changelog ===
guidata (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Jun 2022 09:59:59 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-sip,
  python3-sphinx,
  python3-spyder,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/guidata
 Vcs-Git: https://salsa.debian.org/science-team/guidata.git
 Homepage: https://github.com/PierreRaybaut/guidata

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/g/guidata/ \
    guidata-(.+)\.tar\.gz debian uupdate

## guidata 2.2.1

=== debian/changelog ===
guidata (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Jun 2022 16:34:10 +0200

## guidata 2.3.0

=== debian/changelog ===
guidata (2.3.0-1ubuntu1) lunar; urgency=medium

  * debian/patches/0001-Fixed-translation-tools-compat.-with-Python-
    3.11.patch: Cherry-pick patch from upstream to fix python 3.11
    compatibility.  Closes: #1028084.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 20:49:27 +0000

guidata (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Update standards version to 4.6.1, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Oct 2022 12:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: guidata
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Picca Frédéric-Emmanuel <picca@debian.org>,
 Section: science
@@ -19,7 +20,7 @@
  python3-sip,
  python3-sphinx,
  python3-spyder,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/guidata
 Vcs-Git: https://salsa.debian.org/science-team/guidata.git
 Homepage: https://github.com/PierreRaybaut/guidata

## guidata 2.3.1

=== debian/changelog ===
guidata (2.3.1-1) unstable; urgency=low

  * Team upload.

  * New upstream release.
    Closes: #1028084
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 19:01:54 +0100

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-all,
               python3-numpy,
               python3-pandas,
               python3-pil,
               python3-qtpy,
               python3-setuptools,
               python3-sip,
               python3-sphinx,
               python3-spyder
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/guidata
Vcs-Git: https://salsa.debian.org/science-team/guidata.git
Homepage: https://github.com/PierreRaybaut/guidata
Rules-Requires-Root: no

Package: python3-guidata
Architecture: all
Section: python
Depends: python3-h5py,
         python3-spyder,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-guidata-doc
Breaks: ${python3:Breaks}
Provides: ${python3:Provides}
Description: dataset manipulation GUI generator - Python 3
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 3 version of the package.

Package: python-guidata-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: dataset manipulation GUI generator - Documentation
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the common documentation package.

## guidata 3.0.0+dfsg1

=== debian/changelog ===
guidata (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/control: B-D Added pybuild-plugin-pyproject
  * d/control: B-D Added python3-sphinx-copybutton
  * d/control: B-D Added python3-pytest <!nocheck>
  * d/control: B-D Added python3-pytest-xvfb <!nocheck>
  * d/control: B-D Added python3-h5py
  * Added autopkgtest.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Jul 2023 13:55:25 +0200

=== debian/control ===
Source: guidata
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Picca Frédéric-Emmanuel <picca@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-h5py,
 python3-numpy,
 python3-pandas,
 python3-pil,
 python3-pytest <!nocheck>,
 python3-pytest-xvfb <!nocheck>,
 python3-qtpy,
 python3-setuptools,
 python3-sip,
 python3-sphinx <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-spyder,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/guidata
Vcs-Git: https://salsa.debian.org/science-team/guidata.git
Homepage: https://github.com/PierreRaybaut/guidata
Rules-Requires-Root: no

Package: python3-guidata
Architecture: all
Section: python
Depends:
 python3-h5py,
 python3-spyder,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-guidata-doc,
Breaks:
 ${python3:Breaks},
Provides:
 ${python3:Provides},
Description: dataset manipulation GUI generator - Python 3
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the Python 3 version of the package.

Package: python-guidata-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: dataset manipulation GUI generator - Documentation
 Based on the Qt Python binding module PyQt4, guidata is a Python
 library generating graphical user interfaces for easy dataset editing
 and display. It also provides helpers and application development
 tools for PyQt4.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=guidata
+export GUIDATA_UNATTENDED_TESTS=1
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; export GUIDATA_UNATTENDED_TESTS=1
 ; export HOME="$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest --pyargs guidata.tests
 ; done
Depends:
 python3-all,
 python3-guidata,
 python3-pytest,
 python3-pytest-xvfb,
Restrictions: allow-stderr, skip-not-installable

## guidata 3.0.2+dfsg1

=== debian/changelog ===
guidata (3.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg1
  * d/copyright: upstream changed the license to BSD-3-clause
  * Do not build doc if nodoc
  * d/t/control: run guidata test from the tests directory

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 27 Jul 2023 21:01:03 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=guidata
export GUIDATA_UNATTENDED_TESTS=1

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
	rm -rf build/html

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	SPHINXBUILD="python3 -m sphinx" \
	SPHINXOPTS="-D mathjax_path=MathJax.js -D qt_documentation=PyQt5" \
	sphinx-build -N -bhtml doc build/html
endif

execute_after_dh_auto_install:
	# install the .desktop files
	dh_install -p python3-guidata debian/guidata-tests3.desktop /usr/share/applications

## guidata 3.0.4+dfsg1

=== debian/changelog ===
guidata (3.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.4+dfsg1
  * d/salsa-ci.yml: Removed as useless we are using the remote one.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Jul 2023 14:24:12 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  dh-sequence-numpy3,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ python-h5py-doc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-doc <!nodoc>,
  python3-h5py,
  python3-numpy,
  python3-pandas,

=== debian/rules ===
--- 
+++ 
@@ -19,4 +19,4 @@
 
 execute_after_dh_auto_install:
 	# install the .desktop files
-	dh_install -p python3-guidata debian/guidata-tests3.desktop /usr/share/applications
+	dh_install -p python3-guidata guidata-tests.desktop /usr/share/applications

=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Test-Command: set -efu
  ; export GUIDATA_UNATTENDED_TESTS=1
  ; export HOME="$AUTOPKGTEST_TMP"
+ ; cp -r guidata/tests "$AUTOPKGTEST_TMP"
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"
- ; $py -m pytest --pyargs guidata.tests
+ ; $py -m pytest tests
  ; done
 Depends:
  python3-all,

## guidata 3.4.1

=== debian/changelog ===
guidata (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 12 Mar 2024 14:53:18 +0100

guidata (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 11 Mar 2024 14:39:07 +0100

guidata (3.3.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * d/control:
    - Remove useless B-D python3-sip
    - Added B-D python3-myst-parser
  * Bug fix: "unsatisfied build dependency in testing: python3-sip",
    thanks to Paul Gevers (Closes: #1065340).
  * Bug fix: "Please remove python3-sip from Build-Depends", thanks to
    Dmitry Shachnev (Closes: #1060742).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Mar 2024 10:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-all,
  python3-doc <!nodoc>,
  python3-h5py,
+ python3-myst-parser,
  python3-numpy,
  python3-pandas,
  python3-pil,
@@ -22,7 +23,6 @@
  python3-pytest-xvfb <!nocheck>,
  python3-qtpy,
  python3-setuptools,
- python3-sip,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
  python3-spyder,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 	sphinx-build -N -bhtml doc build/html
 endif
 
+execute_after_dh_auto_test:
+	# remove generated test file not removed by the upstream.
+	pybuild --build -s custom --build-args 'rm -f {build_dir}/test.json'
+
 execute_after_dh_auto_install:
 	# install the .desktop files
 	dh_install -p python3-guidata guidata-tests.desktop /usr/share/applications

## guidata 3.5.2

=== debian/changelog ===
guidata (3.5.2-2) unstable; urgency=medium

  * Remove obsolete dependency on spyder.

 -- Roland Mas <lolando@debian.org>  Mon, 01 Jul 2024 18:22:50 +0200

guidata (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Fix FTBFS by adding dbus to Build-Depends.
  * Also adapt to upstream having changed the name of an environment
    variable used in the testsuite.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Jun 2024 21:48:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Picca Frédéric-Emmanuel <picca@debian.org>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
+ dbus,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-numpy3,
@@ -25,7 +27,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
- python3-spyder,
+ python3-tomli,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/guidata
 Vcs-Git: https://salsa.debian.org/science-team/guidata.git

## guidata 3.6.2

=== debian/changelog ===
guidata (3.6.2-3) unstable; urgency=medium

  * Team Upload
  * Patch-out dependency on python3-tomli

  [ Bastian Germann ]
  * Remove PyQt4 from descrition

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 19:02:51 +0200

guidata (3.6.2-2) unstable; urgency=medium

  * Depend on python3-qtpy-pyqt5 rather than python3-qtpy.

 -- Roland Mas <lolando@debian.org>  Fri, 27 Dec 2024 15:07:26 +0100

guidata (3.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 16:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,10 @@
  python3-pil,
  python3-pytest <!nocheck>,
  python3-pytest-xvfb <!nocheck>,
- python3-qtpy,
+ python3-qtpy-pyqt5,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
- python3-tomli,
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/guidata
 Vcs-Git: https://salsa.debian.org/science-team/guidata.git
@@ -49,10 +48,9 @@
 Provides:
  ${python3:Provides},
 Description: dataset manipulation GUI generator - Python 3
- Based on the Qt Python binding module PyQt4, guidata is a Python
+ Based on the Qt Python binding module QtPy, guidata is a Python
  library generating graphical user interfaces for easy dataset editing
- and display. It also provides helpers and application development
- tools for PyQt4.
+ and display.
  .
  This is the Python 3 version of the package.
 
@@ -64,9 +62,8 @@
  ${misc:Depends},
  ${sphinxdoc:Depends},
 Description: dataset manipulation GUI generator - Documentation
- Based on the Qt Python binding module PyQt4, guidata is a Python
+ Based on the Qt Python binding module QtPy, guidata is a Python
  library generating graphical user interfaces for easy dataset editing
- and display. It also provides helpers and application development
- tools for PyQt4.
+ and display.
  .
  This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=guidata
-export GUIDATA_UNATTENDED_TESTS=1
+export GUIDATA_UNATTENDED=1
 
 %:
-	dh $@ --buildsystem=pybuild
+	dh $@ --with=python3 --buildsystem=pybuild
 
 execute_before_dh_clean:
 	rm -rf build/html

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command: set -efu
- ; export GUIDATA_UNATTENDED_TESTS=1
+ ; export GUIDATA_UNATTENDED=1
  ; export HOME="$AUTOPKGTEST_TMP"
  ; cp -r guidata/tests "$AUTOPKGTEST_TMP"
  ; for py in $(py3versions -r 2>/dev/null)

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=auto,repacksuffix=+dfsg1 \
https://pypi.python.org/packages/source/g/guidata/ \
    guidata-(.+)\.tar\.gz debian uupdate

## guidata 3.13.3

=== debian/changelog ===
guidata (3.13.3-1) unstable; urgency=medium

  * New upstream release.
  * This upstream release fixes "FTBFS: E RuntimeError: wrapped C/C++
    object of type Console has been deleted", thanks to Santiago Vila
    (Closes: #1120202).
  * It also fixes "guidata autopkg tests fail with pillow 12.0 from
    unstable", thanks to Matthias Klose (Ubuntu) (Closes: #1119262).

 -- Roland Mas <lolando@debian.org>  Tue, 25 Nov 2025 18:12:14 +0100

## guidata 3.13.4

=== debian/changelog ===
guidata (3.13.4-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 09 Dec 2025 12:20:00 +0100
